<?php

namespace FiloBlu\Storelocator\Block\PickUpInStore;

use Magento\Framework\App\DeploymentConfig;
use Magento\Framework\View\Element\Template\Context;

class Template extends \Magento\Framework\View\Element\Template
{
    /**
     * @var DeploymentConfig
     */
    protected $deploymentConfig;

    public function __construct(
        Context $context,
        DeploymentConfig $deploymentConfig,
        array $data = []
    )
    {
        $this->deploymentConfig = $deploymentConfig;
        parent::__construct($context , $data);
    }

    public function getFrontendUrl($route = '' , $params = []) {
        $params['_nosecret'] = true;
        $url = parent::getUrl($route, $params);

        return str_replace($this->deploymentConfig->get('backend/frontName') . '/', '', $url);
    }
}
